package com.tanpu.feo.feojob.constant;


/**
 * 员工信息表Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class EmployeeConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 员工id */
	public static final String EMPLOYEE_ID = "employeeId";
	/** 员工姓名 */
	public static final String NAME = "name";
	/** 员工类型 */
	public static final String TYPE = "type";
	/** 机构id */
	public static final String ORG_ID = "orgId";
	/** 员工手机号 */
	public static final String PHONE = "phone";
	/** 员工邮箱 */
	public static final String MAIL = "mail";
	/** 职工层级 */
	public static final String LEVEL = "level";
	/** 员工绑定的微信 */
	public static final String BOUND_WECHAT = "boundWechat";
	/** 员工状态 */
	public static final String STATUS = "status";
	/** 0未删除，1删除 */
	public static final String DELETE_TAG = "deleteTag";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";
	/** 员工工号 */
	public static final String NUMBER = "number";

	private EmployeeConstant() {}
}
