package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * 部门信息表DTO
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DepartmentDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 部门id */
	@ApiModelProperty(value = "部门id")
	private String departmentId;
	/** 部门name */
	@ApiModelProperty(value = "部门name")
	private String departmentName;
	/** 部门类型 */
	@ApiModelProperty(value = "部门类型")
	private String type;
	/** 上级部门id，为空表示上级就是机构 */
	@ApiModelProperty(value = "上级部门id，为空表示上级就是机构")
	private String parentDepartId;
	/** 机构id */
	@ApiModelProperty(value = "机构id")
	private String orgId;
	/** 部门层级，从1开始，0表示机构 */
	@ApiModelProperty(value = "部门层级，从1开始，0表示机构")
	private Integer level;
	/** 人数 */
	@ApiModelProperty(value = "人数")
	private Integer members;
}
