package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * 员工信息表DTO
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EmployeeDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 员工id */
	@ApiModelProperty(value = "员工id")
	private String employeeId;
	/** 员工姓名 */
	@ApiModelProperty(value = "员工姓名")
	private String name;
	/** 员工类型 */
	@ApiModelProperty(value = "员工类型")
	private String type;
	/** 机构id */
	@ApiModelProperty(value = "机构id")
	private String orgId;
	/** 员工手机号 */
	@ApiModelProperty(value = "员工手机号")
	private String phone;
	/** 员工邮箱 */
	@ApiModelProperty(value = "员工邮箱")
	private String mail;
	/** 职工层级 */
	@ApiModelProperty(value = "职工层级")
	private Integer level;
	/** 员工绑定的微信 */
	@ApiModelProperty(value = "员工绑定的微信")
	private String boundWechat;
	/** 员工状态 */
	@ApiModelProperty(value = "员工状态")
	private String status;
	/** 员工工号 */
	@ApiModelProperty(value = "员工工号")
	private String number;
}
