package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * DTO
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class IfaAssetsDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 理财师id */
	@ApiModelProperty(value = "理财师id")
	private String ifaId;
	/** 持仓总市值 */
	@ApiModelProperty(value = "持仓总市值")
	private BigDecimal totalMarket;
	/** 成交总市值 */
	@ApiModelProperty(value = "成交总市值")
	private BigDecimal tradeTotalMarket;
	/** 总客户数 */
	@ApiModelProperty(value = "总客户数")
	private Integer customerNumber;
	/** 成交客户数 */
	@ApiModelProperty(value = "成交客户数")
	private Integer tradeCustomerNumber;
	/** 非成交客户数 */
	@ApiModelProperty(value = "非成交客户数")
	private Integer nonTradeCustomerNumber;
	/** 男客户数 */
	@ApiModelProperty(value = "男客户数")
	private Integer maleCustomerNumber;
	/** 女客户数 */
	@ApiModelProperty(value = "女客户数")
	private Integer femaleCustomerNumber;
	/** 未定义性别客户数 */
	@ApiModelProperty(value = "未定义性别客户数")
	private Integer noValuesexCustomerNumber;
	/** 持仓盈亏 */
	@ApiModelProperty(value = "持仓盈亏")
	private BigDecimal holdProfit;
	/** 持仓盈亏率 */
	@ApiModelProperty(value = "持仓盈亏率")
	private BigDecimal holdProfitRatio;
	/** 累计收益、累计盈亏 */
	@ApiModelProperty(value = "累计收益、累计盈亏")
	private BigDecimal cumProfit;
	/** 成交1  总的 2 */
	@ApiModelProperty(value = "成交1  总的 2")
	private Integer type;
	/** 持仓市值分布 json */
	@ApiModelProperty(value = "持仓市值分布 json")
	private String marketDistribution;
	/** 风险偏好分布 json */
	@ApiModelProperty(value = "风险偏好分布 json")
	private String riskDistribution;
	/**  ifa 业绩走势 */
	@ApiModelProperty(value = " ifa 业绩走势")
	private String assetsTrend;
	/** 客户人数走势 */
	@ApiModelProperty(value = "客户人数走势")
	private String customerTrend;

	/** 成交收益 */
	@ApiModelProperty(value = "成交收益")
	private BigDecimal tradeProfit;
	/** 成交成本 */
	@ApiModelProperty(value = "成交成本")
	private BigDecimal tradeCost;
	/** 成交累积收益 */
	@ApiModelProperty(value = "成交累积收益")
	private BigDecimal tradeCumProfit;
	/** 成交收益率 */
	@ApiModelProperty(value = "成交收益率")
	private BigDecimal tradeProfitRatio;
}
