package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.entity.OrgExt;
import com.tanpu.feo.feojob.mapper.OrgExtMapper;
import com.tanpu.feo.feojob.service.OrgExtService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * 机构扩展信息表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("orgExtService")
@Slf4j
public class OrgExtServiceImpl implements OrgExtService {

	@Autowired
	private OrgExtMapper orgExtMapper;


	@Override
	public List<OrgExt> findOrgExtByAyto() {
		QueryWrapper<OrgExt> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("model","1")
				.eq("delete_tag","0");
		List<OrgExt> orgExtList = orgExtMapper.selectList(queryWrapper);
		return orgExtList;
	}

	@Override
	@Transactional
	public void updataById(OrgExt orgExt) {
		orgExt.setUpdateBy("SYS");
		orgExt.setUpdateTime(new Date());
		orgExtMapper.updateById(orgExt);
	}
}
